Subject: [alpine-aports] [PATCH] testing/netatalk: new aport

From: Alexander Rigbo <[email-masked]>
Date: Wed, 08 Feb 2017 17:59:22 +0000

http://netatalk.sourceforge.net
 Netatalk is a freely-available Open Source AFP fileserver.
---
 testing/netatalk/APKBUILD       | 52
+++++++++++++++++++++++++++++++++++++++++
 testing/netatalk/netatalk.confd |  1 +
 testing/netatalk/netatalk.initd | 21 +++++++++++++++++
 3 files changed, 74 insertions(+)
 create mode 100644 testing/netatalk/APKBUILD
 create mode 100644 testing/netatalk/netatalk.confd
 create mode 100644 testing/netatalk/netatalk.initd

diff --git a/testing/netatalk/APKBUILD b/testing/netatalk/APKBUILD
new file mode 100644
index 0000000000..0dffd8a34b
--- /dev/null
+++ b/testing/netatalk/APKBUILD
@@ -0,0 +1,52 @@
+# Contributor:
+# Maintainer: Alexander Rigbo <[email-masked]>
+pkgname=netatalk
+pkgver="3.1.10"
+pkgrel=0
+pkgdesc="Netatalk is a freely-available Open Source AFP fileserver."
+url="http://netatalk.sourceforge.net/"
+arch="all"
+license="GNU GPLv2"
+depends="db libgcrypt acl"
+makedepends="db-dev libgcrypt-dev acl-dev"
+#install="$pkgname.pre-install $pkgname.post-install"
+subpackages="$pkgname-doc"
+source="
+ http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz
+ netatalk.initd
+ netatalk.confd
+ "
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+ cd "$builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+
+ install -m755 -D "$srcdir"/$pkgname.initd \
+ "$pkgdir"/etc/init.d/$pkgname || return 1
+ install -m644 -D "$srcdir"/$pkgname.confd \
+ "$pkgdir"/etc/conf.d/$pkgname || return 1
+}
+
+md5sums="a6f8faa52028b7180e34672cca3d98aa  netatalk-3.1.10.tar.gz
+620e5c1899e8a0d8d613b63be288502e  netatalk.initd
+1efe872e550dc8c5911993d4fbd495a0  netatalk.confd"
+sha256sums="66c1a11fc9f37de45a92179fb04b5c72f9c183b335f24f718dced602cb579560
 netatalk-3.1.10.tar.gz
+2513545d41b975107b6a6bc53a8616d9fd353e8b1cf4eee6d997fa4ed4b16520
 netatalk.initd
+704550996adeb93250ba89b508be2041d30d615483330eed50521218e7150ff0
 netatalk.confd"
+sha512sums="002aacc87778cd88ce544b69fc44052f32d07fce34858b20e760e771700d10552189a39a43943b193e22737de74e9be6934bf4c54d3207b615a1ceb4ecaf9a9e
 netatalk-3.1.10.tar.gz
+cd1633743c86f954f04f69e13f306c8e3f2a7a9b1f479ae3bc76dd6ab3aad05b5697dddd2393dac1a33656a141534cef26270e8d1b68a95e959eac5603cc0124
 netatalk.initd
+11266959b7350dcb6cf112775792fee523e3cd11df1c4c559722a8e734d091b6d46b2380c28a016154ff89c4b47b04b187e663f6db6bca3e303cd0419ce53821
 netatalk.confd"
diff --git a/testing/netatalk/netatalk.confd
b/testing/netatalk/netatalk.confd
new file mode 100644
index 0000000000..25bab4cc36
--- /dev/null
+++ b/testing/netatalk/netatalk.confd
@@ -0,0 +1 @@
+netatalk_config="/etc/afp.conf"
diff --git a/testing/netatalk/netatalk.initd
b/testing/netatalk/netatalk.initd
new file mode 100644
index 0000000000..775639a927
--- /dev/null
+++ b/testing/netatalk/netatalk.initd
@@ -0,0 +1,21 @@
+#!/sbin/openrc-run
+
+name=netatalk
+command="/usr/sbin/$name"
+command_args="-F $netatalk_config"
+command_background="yes"
+
+extra_started_commands="reload"
+
+pidfile="/run/$name.pid"
+
+depend() {
+ need net
+ after firewall
+}
+
+stop() {
+ ebegin "Stopping $name"
+ start-stop-daemon -K -p /var/lock/netatalk
+ eend $?
+}
--
2.11.1

---

From: Timo Teras <[email-masked]>
Date: Thu, 9 Feb 2017 08:53:04 +0200

On Wed, 08 Feb 2017 17:59:22 +0000

>  Netatalk is a freely-available Open Source AFP fileserver.

I got:
error: corrupt patch at line 78

Sounds like your e-mail client mungled the patch? Could you resend with
git send-email ?

> + http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz

Be sure to use tabs and not spaces (or possibly this was part of the
email client mungling too?).

> + "$pkgdir"/etc/conf.d/$pkgname || return 1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---